Commit afc975ea authored by Yann Leboulanger's avatar Yann Leboulanger

updated debian files from official release and for autotools.

parent e0e50347
gajim for Debian
----------------
If you want to use OpenPGP in gajim, you have to install python-gnupginterface.
-- Yann Le Boulanger <asterix@lagaule.org>, Mon, 20 Jun 2005 12:02:31 +0200
gajim (0.10.1-6) unstable; urgency=low
* fix LDFLAGS problem. Closes: #384439
-- Yann Le Boulanger <asterix@lagaule.org> Mon, 24 Jul 2006 14:45:34 +0200
gajim (0.10.1-5) unstable; urgency=low
* Add dependance on python2.4. Closes: #379662
-- Yann Le Boulanger <asterix@lagaule.org> Mon, 19 Jul 2006 21:30:08 +0200
gajim (0.10.1-4) unstable; urgency=low
* Fix warning at installation. Closes: #366725
* Fix pt_BR translation.
-- Yann Le Boulanger <asterix@lagaule.org> Mon, 19 Jul 2006 21:30:08 +0200
gajim (0.10.1-3) unstable; urgency=low
* Updated for new Python policy.
* nautilus-sendto is now suggested. Closes: #377309
-- Yann Le Boulanger <asterix@lagaule.org> Mon, 17 Jul 2006 16:46:58 +0200
gajim (0.10.1-2) unstable; urgency=low
* new pytyhon policy Closes: #375310
* default player is now 'aplay -q' Closes: #374529
* python-gnupginterface now support python2.4. Recommends this one.
* Standards-version updated to 3.7.2 (no changes needed).
-- Yann Le Boulanger <asterix@lagaule.org> Tue, 27 Jun 2006 22:47:08 +0200
gajim (0.10.1-1) unstable; urgency=low
* new upstream release
-- Yann Le Boulanger <asterix@lagaule.org> Fri, 2 Jun 2006 22:07:29 +0200
gajim (0.10-1) unstable; urgency=low
* new upstream release
......
......@@ -2,14 +2,16 @@ Source: gajim
Section: net
Priority: optional
Maintainer: Yann Le Boulanger <asterix@lagaule.org>
Build-Depends: debhelper (>= 4.1.0), cdbs, python2.4-dev, libgtk2.0-dev, python-gtk2-dev, libgtkspell-dev, gettext, libxss-dev, intltool
Standards-Version: 3.6.2
Build-Depends: debhelper (>= 5.0.37.2), cdbs (>= 0.4.43), python-support (>= 0.3), python2.4-dev, libgtk2.0-dev, python-gtk2-dev, libgtkspell-dev, gettext, libxss-dev, intltool
XS-Python-Version: 2.4
Standards-Version: 3.7.2
Package: gajim
Architecture: any
Depends: ${shlibs:Depends}, python2.4-glade2 (>= 2.6.0), python2.4-gtk2 (>= 2.6.0), python2.4-pysqlite2
Recommends: dnsutils, python2.4-dbus, notification-daemon
Suggests: python2.4-gnome2
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends}, python2.4, python-glade2 (>= 2.6.0), python-gtk2 (>= 2.6.0), python2.4-pysqlite2
Recommends: dnsutils, dbus, python2.4-dbus, notification-daemon
Suggests: python-gnome2, python-gnupginterface, nautilus-sendto, avahi-daemon, python-avahi
Description: Jabber client written in PyGTK
Gajim is a Jabber client. It has a tabbed user interface with normal chats,
group chats, and has many features such as, TLS, GPG, SSL, multiple accounts,
......
......@@ -2,7 +2,7 @@ This package was debianized by Yann L.B. asterix@lagaule.org on
Wed, 16 Jun 2005 20:00:00 +0100.
It was downloaded from:
http://www.gajim.org/downloads/gajim-0.10.1.tar.gz
http://www.gajim.org/downloads/gajim-0.11.0.tar.gz
Upstream Authors:
- Yann Le Boulanger <asterix@lagaule.org>
......
Index: Makefile
Index: Makefile.am
===================================================================
--- Makefile (revision 6485)
+++ Makefile (working copy)
@@ -89,7 +89,6 @@
done
if [[ -n $$(find po -name *.mo) ]]; then \
${MAKE} -C po install PREFIX=$(PREFIX) ; \
fi
- cp COPYING "$(DESTDIR)$(PREFIX)/share/gajim/";
cp THANKS "$(DESTDIR)$(PREFIX)/share/gajim/";
cp AUTHORS "$(DESTDIR)$(PREFIX)/share/gajim/";
mkdir -p "$(DESTDIR)$(PREFIX)/share/pixmaps";
Index: src/dialogs.py
===================================================================
--- src/dialogs.py (revision 6485)
+++ src/dialogs.py (working copy)
@@ -558,7 +558,7 @@
dlg.set_version(gajim.version)
s = u'Copyright \xa9 2003-2005 Gajim Team'
dlg.set_copyright(s)
- text = open('../COPYING').read()
+ text = open('/usr/share/common-licenses/GPL-2').read()
dlg.set_license(text)
--- Makefile.am (revision 7202)
+++ Makefile.am (working copy)
@@ -9,7 +9,6 @@
docfiles_DATA = README \
README.html \
ChangeLog \
- COPYING \
THANKS \
AUTHORS
--- Makefile.in
+++ Makefile.in
@@ -273,7 +273,6 @@
docfiles_DATA = README \
README.html \
ChangeLog \
- COPYING \
THANKS \
AUTHORS
dlg.set_comments(_('A GTK jabber client'))
......@@ -333,14 +333,14 @@
+" @.@+@@@#@$@%@&@*@=@-@;@>@,@'@)@)@!@~@{@]@^@*. ",
+" *.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*. ",
+" "}
--- Makefile
+++ Makefile
@@ -91,7 +91,7 @@
done
cp COPYING "$(DESTDIR)$(PREFIX)/share/gajim/";
mkdir -p "$(DESTDIR)$(PREFIX)/share/pixmaps";
- cp data/pixmaps/gajim.png "$(DESTDIR)$(PREFIX)/share/pixmaps/";
+ cp data/pixmaps/gajim.xpm "$(DESTDIR)$(PREFIX)/share/pixmaps/";
cp data/pixmaps/gajim_about.png "$(DESTDIR)$(PREFIX)/share/pixmaps/";
mkdir -p "$(DESTDIR)$(PREFIX)/share/applications";
cp gajim.desktop "$(DESTDIR)$(PREFIX)/share/applications/";
--- data/pixmaps/Makefile.am (revision 7199)
+++ data/pixmaps/Makefile.am (working copy)
@@ -6,7 +6,7 @@
EXTRA_DIST = $(pixmaps_DATA)
gajimpixmapdir = $(datadir)/pixmaps
-gajimpixmap_DATA = gajim.png \
+gajimpixmap_DATA = gajim.xpm \
gajim_about.png
MAINTAINERCLEANFILES = Makefile.in
#!/usr/bin/make -f
DEB_PYTHON_SYSTEM=pysupport
# Debhelper must be included before python-distutils to use
# # # dh_python / dh_pycentral / dh_pysupport
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/class/autotools.mk
PYTHON = python2.4
PYTHONVER = 2.4
CFLAGS = `pkg-config --cflags gtk+-2.0 pygtk-2.0` -fPIC -I/usr/include/python$(PYTHONVER) -I.
LDFLAGS = `pkg-config --libs gtk+-2.0 pygtk-2.0`
DEB_MAKE_BUILD_TARGET := all PYTHON=python2.4
DEB_MAKE_INSTALL_TARGET = install PYTHON=python2.4 PREFIX=/usr DESTDIR=$(DEB_DESTDIR)
DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/usr
DEB_MAKE_BUILD_TARGET := all PYTHON=python$(PYTHONVER)
DEB_MAKE_INSTALL_TARGET = install PYTHON=python$(PYTHONVER) DESTDIR=$(DEB_DESTDIR)
binary-install/gajim::
rm $(DEB_DESTDIR)/usr/share/gajim/src/common/GnuPGInterface.py
dh_pycentral -pgajim
dh_python -pgajim /usr/share/gajim/src
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment